import { Component, OnInit } from '@angular/core';
import {Assignment} from './assignment.model';

@Component({
  selector: 'app-assignments',
  templateUrl: './assignments.component.html',
  styleUrls: ['./assignments.component.css']
})
export class AssignmentsComponent implements OnInit {
  nomAssignment="";
  dateRendu:Date;
  assignmentSelectionne:Assignment;

  assignments = [
    {
      nom:"TP WebComponents INTENSE",
      dateDeRendu:new Date('2020-11-17'),
      rendu:true
    },
    {
      nom:"TP Angular INTENSE",
      dateDeRendu:new Date('2020-12-03'),
      rendu:false
    },
    {
      nom:"TP React INTENSE",
      dateDeRendu:new Date('2021-01-10'),
      rendu:false
    },
  ]

  constructor() { }

  ngOnInit(): void {
  }

  onSubmit() {
    console.log(this.nomAssignment);
    const nouvelAssignment = new Assignment();

    nouvelAssignment.nom = this.nomAssignment;
    nouvelAssignment.dateDeRendu = this.dateRendu;
    nouvelAssignment.rendu = false;

    this.assignments.push(nouvelAssignment);
  }

  assignmentClique(assignment) {
    this.assignmentSelectionne = assignment;
    console.log(assignment);
  }
}
